Subject: bug#53632: Function definition history

From: Michael Albinus <[email-masked]>
Date: Sat, 05 Feb 2022 11:42:59 +0100

Stefan Monnier <[email-masked]> writes:

Hi Stefan,

>>> Maybe a simpler option is to give them a recognizable name
>>> (e.g. including "preloaded" or "AL" or somesuch in their name)?
>>>
>>> In any case, those parts of the test47 are actually testing
>>> loadhist.el rather than Tramp, so I'd recommend you don't worry too much
>>> about those functions.
>>>
>>> I'd focus instead on the parts that verify proper functioning of the code
>>> you put in `tramp-unload-hook`.
>>
>> Will see. In fact, it tests already the functionality of the
>> unload-hooks, like cleaning up other hooks, and alike.
>
> Indeed it already does, and I just meant to clarify that I didn't mean
> to throw out the whole test47.

Yep. I've fixed this now in master with commit 3a8e140ad1. I've decided
against renaming of the functions, because this would result in a
backward compatibility nightmare.

>>> PS: BTW, why is `tramp-unload-file-name-handlers` preloaded?
>>> It doesn't seem like it can be meaningfully used before Tramp is loaded.
>>
>> The name is a little bit misleading, it is rather a
>> `tramp-deactivate-file-name-handlers' functionality.
>>
>> It is autoloaded, because it is used in `tramp-autoload-file-name-handler',
>> which is also autoloaded.
>
> I guess the part I don't understand is why we need it there.
> It's called right before loading `tramp.el` but `tramp.el` will
> re-execute it anyway when it runs `tramp-register-file-name-handlers`,
> so it seems redundant.

Well, I don't remember all the details. But there are subtle problems
when you change the regexp used in the file name handler alist, so I
finally came with this approach. Really, I don't want to reopen this can
of worms, I'm happy it works as it is.

>         Stefan

Best regards, Michael.